

deleted by creator
Alt account of @Badabinski
Just a sweaty nerd interested in software, home automation, emotional issues, and polite discourse about all of the above.


deleted by creator


So uh, OPNSense?


Ed Zitron seemed to estimate that it was probably 4-5x the current going rate, so a $20 ChatGPT subscriber likely costs OpenAI $80-100.


Sounds like a perfect use-case for some subsonic .300 Blackout rounds.


According to Wikipedia, it’s known in modern times as mycobacterial cervical lymphadenitis.
The disease mycobacterial cervical lymphadenitis, also known historically as scrofula and the king’s evil, involves a lymphadenitis of the cervical (neck) lymph nodes associated with tuberculosis as well as nontuberculous (atypical) mycobacteria such as Mycobacterium marinum.
As for what lymphadenitis is?
Lymphadenopathy or adenopathy is a disease of the lymph nodes, in which they are abnormal in size or consistency. Lymphadenopathy of an inflammatory type (the most common type) is lymphadenitis.
The Wikipedia article for king’s disease has a picture if you’re curious, although it’s a bit gross.


As someone posted elsewhere, this is an ultralight aircraft and is therefore forbidden from flying over populated areas.
while I appreciate that the author mentions how weird this is, nobody is going to learn all the caveats correctly. Don’t use
set -e. Don’t useset -e. Don’t useset -e. It’s a shit ass broken ass fucked feature that half of nobody understands well. Here’s a great wiki page explaining why it’s trash: https://mywiki.wooledge.org/BashFAQ/105People like Go, and Go requires you to manually and stupidly handle every possible error case. Why not do the same for shell? It’s really quite easy:
#!/usr/bin/env bash echoerr() { echo "$@" 1>&2; } die() { message="$1"; shift exit_code="${1:-1}" echoerr "$message" exit "$exit_code" } temp_dir="$HOME/tmp" mkdir -p "$temp_dir" || die "Failed to make persistent temporary dir $temp_dir" lc_dir="$(mktemp -d -p "$temp_dir")" || die "Failed to make target dir in $temp_dir"Look at that, descriptive error messages! And it doesn’t depend on a shell feature that is inconsistent between versions with no good documentation about all of the fucked up caveats.